const express = require("express");
const router = express.Router();

const { requireAdmin } = require("../middleware/auth.middleware");
const {
  addMedication,
  endMedication,
  deleteMedication
} = require("../controllers/patientMedication.controller");

router.post("/:id/medications", requireAdmin, addMedication);
router.post("/patient-medications/end/:id", requireAdmin, endMedication);
router.post("/patient-medications/delete/:id", requireAdmin, deleteMedication);

module.exports = router;
